# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# 
# vmwddk.inc
# This file should work with minimal modifications for any of the drivers
#
# Used tools
SED	:= ${DDK_ROOT}/lib/bin/sed
RM	:= ${DDK_ROOT}/lib/bin/rm

# Pls edit this if your distribution placed this differently
MKDIR	:= /bin/mkdir
MV	:= /bin/mv
CP	:= /bin/cp

AR := PATH="${DDK_ROOT}/lib/binutils-2.11.2/bin:$(PATH)" \
	${DDK_ROOT}/lib/binutils-2.11.2/bin/ar

LD := PATH="${DDK_ROOT}/lib/binutils-2.15.92.0.2-11/install/bin:$(PATH)" \
   ${DDK_ROOT}/lib/binutils-2.15.92.0.2-11/install/bin/ld

RPM := PATH="$(DDK_ROOT)/lib/binutils-2.11.2/bin:$(PATH)" \
	$(DDK_ROOT)/lib/rpm/usr/bin/rpm --rcfile $(DDK_ROOT)/lib/rpm/etc/rpmrc

CC_GCC_3_3 := \
   GCC_EXEC_PREFIX="${DDK_ROOT}/lib/gcc-3.3/install/lib/gcc-lib/" \
   PATH="${DDK_ROOT}/vmwddk/gcc-3.3/install/bin:${DDK_ROOT}/lib/binutils-2.15.92.0.2-11/install/bin:$(PATH)" \
   ${DDK_ROOT}/lib/gcc-3.3/install/bin/gcc

STDINC         	:= -nostdinc

CC_GCC_3_3_INCLUDE := -idirafter ${DDK_ROOT}/lib/gcc-3.3/install/lib/gcc-lib/i686-pc-linux-gnu/3.3/include

VMW_CC 	:= $(CC_GCC_3_3) $(STDINC) $(CC_GCC_3_3_INCLUDE)

CC_GLOBALOPTS := -O2

CC_DBG_GLOBALOPTS := -g3

CC_KFLAGS := -D__KERNEL__ -fno-strength-reduce -fno-common

CC_KFLAGS += -march=i586

CC_KFLAGS += -falign-loops=4 -falign-jumps=4 -falign-functions=4

CC_KFLAGS += -fno-strict-aliasing

CC_KFLAGS += -fno-omit-frame-pointer -DCPU=586

CC_KFLAGS += -D__VMWARE__ -D__VMKERNEL_MODULE__ -DVMKERNEL_MODULE

# This is for beta builds only
DEBUG_DIR_DEFS := -DVMX86_DEBUG -DVMX86_BETA -DVMX86_FPU_SAFETY

# This is for release builds only
RELEASE_DIR_DEFS :=  -DVMX86_RELEASE

DIR_DEFS := -DVMX86_SERVER

GLOBAL_DEFS := -DVMX86_LIMITS
GLOBAL_DEFS += -DESX3_NETWORKING_NOT_DONE_YET
GLOBAL_DEFS += -DESX2_NET_SUPPORT
GLOBAL_DEFS += -DBUILT_BY_$(USER)
#GLOBAL_DEFS += -DUSE_SSL

CC_WARNINGS := -Wall -Wstrict-prototypes
CC_WARNINGS += -Werror

CC_DEFS := -DMODULE -DSMP_CAPABLE_VMK_DRIVER 

VMW_DBG_FLAGS 	:= $(CC_GLOBALOPTS) $(CC_DBG_GLOBALOPTS) $(CC_KFLAGS) $(DEBUG_DIR_DEFS) $(DIR_DEFS) $(GLOBAL_DEFS) $(CC_DEFS) $(CC_WARNINGS)

VMW_REL_FLAGS 	:= $(CC_GLOBALOPTS) $(CC_KFLAGS) $(RELEASE_DIR_DEFS) $(DIR_DEFS) $(GLOBAL_DEFS) $(CC_DEFS) $(CC_WARNINGS)

VMWINC :=	-I${DDK_ROOT}/include 		\
	-I${DDK_ROOT}/include/vmware/version		 \
	-I${DDK_ROOT}/include/vmware/public 		\
	-I${DDK_ROOT}/include/vmware/distribute		 \
	-I${DDK_ROOT}/include/vmware/vm 		\
	-I${DDK_ROOT}/include/vmware/driver		 \
	-I${DDK_ROOT}/include/vmware/vmkapi		\
	-I${DDK_ROOT}/include/vmware/vmklinux 		 \
